#                                               -*- cmake -*-
#
#  OTTemplateConfig.cmake(.in)
#
#  Find OTTemplate includes and libraries
#
#  Copyright (C) 2005-2014 Phimeca
#

# Use the following variables to compile and link against OTTemplate:
#  OTTEMPLATE_FOUND          - True if OTTemplate was found on your system
#  OTTEMPLATE_USE_FILE       - The file making OTTemplate usable
#  OTTEMPLATE_DEFINITIONS    - Definitions needed to build with OTTemplate
#  OTTEMPLATE_INCLUDE_DIRS   - List of directories where OTTemplate' header file are
#  OTTEMPLATE_LIBRARY        - Library name
#  OTTEMPLATE_LIBRARIES      - List of libraries to link against
#  OTTEMPLATE_LIBRARY_DIRS   - List of directories containing OTTemplate' libraries
#  OTTEMPLATE_ROOT_DIR       - The base directory of OTTemplate
#  OTTEMPLATE_VERSION_STRING - A human-readable string containing the version
#  OTTEMPLATE_VERSION_MAJOR  - The major version of OTTemplate
#  OTTEMPLATE_VERSION_MINOR  - The minor version of OTTemplate
#  OTTEMPLATE_VERSION_PATCH  - The patch version of OTTemplate

set ( OTTEMPLATE_FOUND 1 )
set ( OTTEMPLATE_USE_FILE     "/usr/lib/cmake/ottemplate/UseOTTemplate.cmake" )

set ( OTTEMPLATE_DEFINITIONS  "" )
set ( OTTEMPLATE_INCLUDE_DIR  "/usr/include/ottemplate" )
set ( OTTEMPLATE_INCLUDE_DIRS "/usr/include/ottemplate;/usr/include/openturns;/usr/include;/usr/lib/cmake/hmat/../../../include/hmat;/usr/include/libxml2" )
set ( OTTEMPLATE_LIBRARY      "ottemplate" )
set ( OTTEMPLATE_LIBRARIES    "/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libtbb.so;/usr/lib/x86_64-linux-gnu/libmuparser.so;hmat-oss;/usr/lib/x86_64-linux-gnu/libxml2.so;-lpthread;/usr/lib/x86_64-linux-gnu/libdl.so;/usr/lib/x86_64-linux-gnu/libc.so;OT;ottemplate" )
set ( OTTEMPLATE_LIBRARY_DIRS "/usr/lib;/usr/lib" )
set ( OTTEMPLATE_ROOT_DIR     "/usr" )

set ( OTTEMPLATE_VERSION_STRING "0.0" )
set ( OTTEMPLATE_VERSION_MAJOR  "0" )
set ( OTTEMPLATE_VERSION_MINOR  "0" )
set ( OTTEMPLATE_VERSION_PATCH  "" )

set (OTTEMPLATE_PYTHON3_MODULE_PATH "/usr/lib/python3/dist-packages")
